#include <bits/stdc++.h>
using namespace std;
int N,K,brojac;
int niz[100000];
int main (){
    cin>>N>>K;
    for(int i=1;i<=N;i++){
            cin>>niz[i];
        for(int i=1;i<=N;i++){
            if(K==2){
                brojac++;
                cout<<brojac<<endl;
            }
        }

    }
return 0;
}